
/* Written by Michael E. Kounavis, Commmunications Technology Lab,
   Intel Corporation, 2008
 */


#ifndef MEASUREMENTS_H_
#define MEASUREMENTS_H_

#include <stdio.h>

unsigned __int64 __rdtsc();
#pragma intrinsic(__rdtsc)
void __cpuid(int* CPUInfo, int InfoType);
#pragma intrinsic(__cpuid)

#define CPU_SYNC	{int CPUinfo[4];	__cpuid(CPUinfo, 0);}
#define CPU_GET_CYCLES(low)			{low = (uint64_t)__rdtsc();}


#endif