
#ifndef INT_TYPES_H
#define INT_TYPES_H

#if defined( _MSC_VER )

typedef __int8				int8_t;
typedef unsigned __int8		uint8_t;
typedef __int16				int16_t;
typedef unsigned __int16	uint16_t;
typedef __int32				int32_t;
typedef unsigned __int32	uint32_t;
typedef __int64				int64_t;
typedef unsigned __int64	uint64_t;

#elif defined( __GNUC__ )

#ifndef __KERNEL__
#include <stddef.h>
#include <inttypes.h>
#endif

#else /* No Compiler platform defined */
#error Must define Compiler based Integer types
#endif

typedef int					boolean_t;


#endif /* INT_TYPES_H */
